package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class DrpMaterialLatestPriceVO {
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("最新价格 单位分")
   private Integer latestPrice;
   @ApiModelProperty("价格类型 1. 货品招标 2 采购询价、3 采购订单 4 入库、5 市场采集")
   private Integer priceType;
   @ApiModelProperty("关联单据编号")
   private String relatedId;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("结束时间")
   private LocalDateTime endTime;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public Integer getLatestPrice() {
      return this.latestPrice;
   }

   public Integer getPriceType() {
      return this.priceType;
   }

   public String getRelatedId() {
      return this.relatedId;
   }

   public String getRemark() {
      return this.remark;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setLatestPrice(final Integer latestPrice) {
      this.latestPrice = latestPrice;
   }

   public void setPriceType(final Integer priceType) {
      this.priceType = priceType;
   }

   public void setRelatedId(final String relatedId) {
      this.relatedId = relatedId;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }


   public String toString() {
      Long var10000 = this.getMaterialId();
      return "DrpMaterialLatestPriceVO(materialId=" + var10000 + ", unitId=" + this.getUnitId() + ", latestPrice=" + this.getLatestPrice() + ", priceType=" + this.getPriceType() + ", relatedId=" + this.getRelatedId() + ", remark=" + this.getRemark() + ", supplierId=" + this.getSupplierId() + ", startTime=" + String.valueOf(this.getStartTime()) + ", endTime=" + String.valueOf(this.getEndTime()) + ")";
   }
}
